Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	3.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
URL:		http://www.gnu.org/software/diffutils/
Source0:	ftp://alpha.gnu.org/gnu/diffutils/diffutils-%{version}.tar.xz
Requires(pre):	info-install
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes: 	%{name} < %version


%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to list diff of two files side by side or
    merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q

%build
%configure2_5x

perl -pi -e 's/^(#define\s+DEFAULT_EDITOR_PROGRAM\s+)"ed"/$1"vi"/' config.h

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post 
%_install_info diff.info

%preun
%_remove_install_info diff.info

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/%{name}.info*


%changelog
* Wed Apr 24 2013 Texstar <texstar at gmail.com> 3.3-1pclos2013
- 3.3

* Thu Sep 08 2011 Texstar <texstar at gmail.com> 3.2-1pclos2011
- 3.2

* Tue Jul 26 2011 Texstar <texstar at gmail.com> 3.0-1pclos2011
- 3.0

* Wed Nov 05 2009 Texstar <texstar at gmail.com> 2.8.7-6pclos2010
- gcc update
- update patchset

* Wed Nov 01 2006 Texstar <texstar at houston.rr.com> 2.8.7-5pclos2007
- Build for PCLinuxOS 2007

